elftosb::ExecuteOperation Class Reference

Operation to execute code at a certain address. More...

`#include <Operation.h>`

Inheritance diagram for elftosb::ExecuteOperation:
[legend]
Collaboration diagram for elftosb::ExecuteOperation:
[legend]

## Public Types

enum | execute_type_t { kJump, kCall }

## Public Member Functions

void | setTarget (DataTarget *target)
DataTarget * | getTarget ()
void | setArgument (uint32_t arg)
uint32_t | getArgument ()
void | setExecuteType (execute_type_t type)
execute_type_t | getExecuteType ()
void | setIsHAB (bool isHAB)
bool | isHAB () const
void | setStackPointer (uint32_t sp)
uint32_t | getStackPointer ()
void | setIsStackPointerSet (bool isSet)
bool | isStackPonterSet () const

## Protected Attributes

smart_ptr< DataTarget > | m_target
uint32_t | m_argument
uint32_t | m_stackPointer
execute_type_t | m_type
bool | m_isHAB
bool | m_isStackPointerSet

## Detailed Description

Operation to execute code at a certain address.

The documentation for this class was generated from the following file:

- Operation.h